# HG changeset patch
# User Charles Spurrill
# Date 1319411399 25200
# Node ID c78935910ff4d5e44b7c1165766580a5ab0a038c
# Parent  bd20534f4586a2f725cca74e62304bbdb5100114
Player selection cycling change: relative to landscape position

diff -r bd20534f4586 -r c78935910ff4 planet/System.ocg/PlayerControl.c
--- a/planet/System.ocg/PlayerControl.c	Fri Oct 21 21:17:03 2011 +0100
+++ b/planet/System.ocg/PlayerControl.c	Sun Oct 23 16:09:59 2011 -0700
@@ -384,10 +384,12 @@
 {
 	// get index of currently selected crew
 	var index = 0;
+	var crew = FindObjects(Find_OCF(OCF_CrewMember), Find_Owner(plr), Sort_Func("GetX"));
+
 	while (index < GetCrewCount(plr))
 	{
-		if (GetCursor(plr) == GetCrew(plr,index)) break;
-		index++;
+		if (GetCursor(plr) == crew[index]) break;
+		index++;		
 	}
 	
 	// a short explanation here:
@@ -396,7 +398,7 @@
 	// the crew after the next and perhaps even the crew after the next
 	// after the next. Also, we need to stop this skipping after all crew
 	// members have been checked in the special case that all crew members
-	// are disabled
+	// are disabled 
 	var maxcycle = GetCrewCount(plr);
 	var cycle = 0;
 
@@ -404,7 +406,7 @@
 		if (back)
 		{
 			--index;
-			if (index < 0) index = GetCrewCount(plr)-1;
+			if (index < 0) index = GetCrewCount(plr) - 1;
 		}
 		else
 		{
@@ -412,11 +414,11 @@
 			if (index >= GetCrewCount(plr)) index = 0;
 		}
 		++cycle;
-	} while (!(GetCrew(plr,index)->GetCrewEnabled()) && cycle < maxcycle);
+	} while (!(crew[index]->GetCrewEnabled()) && cycle < maxcycle);
 
 	StopSelected();
 
-	return SetCursor(plr, GetCrew(plr,index));
+	return SetCursor(plr, crew[index]);
 }
 
 // Temporarily used for Debugging!
